Skip to main content
GET
Get balance sheet report

Authorizations

Authorization
string
header
required

Partner-level JWT token (unscoped). Token payload includes partner_id. Business access is validated via partner ownership. Format: Bearer <your-jwt-token>

Use this for: Multi-business operations where the business_id is specified in the URL and partner has access to multiple businesses.

Path Parameters

business_id
string<uuid>
required

Business UUID

Query Parameters

as_of_date
string<date>
required

Balance sheet date - point in time (YYYY-MM-DD)

detail_level
enum<string>
default:summary

Level of detail: 'summary' or 'detailed'

Available options:
detailed,
summary

Response

business_id
string<uuid>
required

Business UUID

as_of_date
string<date>
required

Balance sheet date (point in time)

currency
string
required

Business base currency

detail_level
enum<string>
required

'summary' or 'detailed'

  • summary - summary
  • detailed - detailed
Available options:
summary,
detailed
summary
object
required

Calculated Balance Sheet totals

non_current_assets
object

Grouped accounts by AccountSubtype.

  • display_name: From AccountSubtype.label
  • total_cents: Sum of all line items
  • line_items: Individual accounts with this subtype
current_assets
object

Grouped accounts by AccountSubtype.

  • display_name: From AccountSubtype.label
  • total_cents: Sum of all line items
  • line_items: Individual accounts with this subtype
current_liabilities
object

Grouped accounts by AccountSubtype.

  • display_name: From AccountSubtype.label
  • total_cents: Sum of all line items
  • line_items: Individual accounts with this subtype
non_current_liabilities
object

Grouped accounts by AccountSubtype.

  • display_name: From AccountSubtype.label
  • total_cents: Sum of all line items
  • line_items: Individual accounts with this subtype
share_capital
object

Grouped accounts by AccountSubtype.

  • display_name: From AccountSubtype.label
  • total_cents: Sum of all line items
  • line_items: Individual accounts with this subtype
share_premium
object

Grouped accounts by AccountSubtype.

  • display_name: From AccountSubtype.label
  • total_cents: Sum of all line items
  • line_items: Individual accounts with this subtype
reserves
object

Grouped accounts by AccountSubtype.

  • display_name: From AccountSubtype.label
  • total_cents: Sum of all line items
  • line_items: Individual accounts with this subtype
retained_earnings
object

Grouped accounts by AccountSubtype.

  • display_name: From AccountSubtype.label
  • total_cents: Sum of all line items
  • line_items: Individual accounts with this subtype